#!/bin/sh
#
# Set the file dates for the files downloaded by the client.
#
GEM_ROOT=$1/TDS/server

if [ "$INTERP" = "aix4-r1" ] || [ "$INTERP" = "solaris2" ] ; then
  GEM_TOUCH="touch"
  THE_DATE="200002250101"
else
  GEM_TOUCH=$GEM_ROOT/tools/touch
  THE_DATE="022501012000"
fi

echo " "
date;echo "Setting dates on client download files under $GEM_ROOT"

cd $GEM_ROOT/db/current

set +f
for DIR_NAME in * ; do
   if [ -d $DIR_NAME ] ; then
     if [ "$DIR_NAME" != "appdefs" ] && [ "$DIR_NAME" != "datab" ] ; then
       echo "  directory.... $GEM_ROOT/db/current/$DIR_NAME"
       cd $GEM_ROOT/db/current/$DIR_NAME
       for FILE_NAME in * ; do
         if [ ! -d $FILE_NAME ] ; then
           `$GEM_TOUCH -c -t $THE_DATE $FILE_NAME`
         fi
       done
     fi
   fi
   cd $GEM_ROOT/db/current
done

cd $GEM_ROOT/db/default
for DIR_NAME in * ; do
   if [ -d $DIR_NAME ] ; then
     if [ "$DIR_NAME" != "appdefs" ] && [ "$DIR_NAME" != "datab" ] ; then
       echo "  directory.... $GEM_ROOT/db/default/$DIR_NAME"
       cd $GEM_ROOT/db/current/$DIR_NAME
       for FILE_NAME in * ; do
         if [ ! -d $FILE_NAME ] ; then
           `$GEM_TOUCH -c -t $THE_DATE $FILE_NAME`
         fi
       done
     fi
   fi
   cd $GEM_ROOT/db/default
done

set -f

date;echo "Completed"
echo " "
