#ifndef IHSPMCAT_H
#define IHSPMCAT_H
/*                                       TEMPLATE LEVEL = 05/01/90
********************************************************************************
*
* Licensed Materials - Property of IBM
*
* This product contains "Restricted Materials of IBM"
*
* 5655-007 (C) Copyright IBM Corp. 1997, 1997
* All Rights Reserved.
*
********************************************************************************
*
* PRODUCT          (TME 10 GEM APM)
* COMPONENT        (IHSP)
* FIRST_RELEASE    (V1R1)
* LAST_CHANGE      (V1R1)
*
* MODULE_NAME      (ihspmcat.h)
* DESCRIPTIVE_NAME (Load strings from a DLL (OS/2 or NT) or message catalog(AIX))
*
********************************************************************************
*
*                       Module Level Design
*
********************************************************************************
*
* Function:
*   Function for loading strings from a DLL (OS/2 or NT) or message catalog
*   file (AIX).
*
********************************************************************************
*
* CHANGE ACTIVITY:
* ------------------------------------------------------------------------------
*   - V1R1....added in V1R1 Base Release
*  $PL=42181   ,GEM21,05/05/98,PRG: added XAPI to link with Tivoli Libraries
******************************************************************************/
#include "ihspxapi.h"
  
#ifdef __cplusplus
extern "C"
{
#endif

/*
** DuipLoadStringTable
**
** OS/2 or NT:  The DLL msgFile is loaded (with DosLoadModule), pointers to
** string entries are assigned to stringTable (up to tableSize entries), and
** the DLL handle is assigned to the location pointed to by modHandle.
**
** AIX: The message catalog file msgFile is opened (path determined by the
** NLSPATH environment variable unless msgFile begins with "/", "./", etc.)
** and up to tableSize string entry pointers are assigned to stringTable.
** NULL is assigned to the location pointed to by modHandle.
*/
#ifndef __UNIX__       /*$PL=42181 */
APIRET XAPI DuipLoadStringTable( HMODULE *modHandle,
                         char    *msgFile,
                         char    *stringTable[],
                         size_t   tableSize );
#else
unsigned short DuipLoadStringTable( HMODULE *modHandle,
                                    char    *msgFile,
                                    char    *stringTable[],
                                    size_t   tableSize );
#endif

#ifdef __cplusplus
}
#endif

#endif
