/*******************************************************************************
*
* Licensed Materials - Property of Tivoli Systems
* 5697-B82
* (C) Copyright IBM Corp. 1997, 2001.  All rights reserved.
*
* US Government Users Restricted Rights - Use, duplication or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*
* SAMPLE PROGRAM - NO WARRANTY EXPRESSED OR IMPLIED
*
* You are hereby licensed to use, reproduce, and distribute these sample
* programs as your needs require.  IBM does not warrant the suitability or
* integrity of these sample programs and accepts no responsibility for their
* use for your applications.  If you choose to copy and redistribute
* significant portions of these sample programs, you should preface such
* copies with this copyright notice.
*
******************************************************************************
*
* PRODUCT          (NMC)
* COMPONENT        (IHSS)
*
* MODULE_NAME      (IHSSSTRI.H)
* DESCRIPTIVE_NAME (Definitions for the Sample strings)
*
******************************************************************************
*
* Function:
*   Provide definitions for the Sample strings
*
******************************************************************************/
#ifndef   IHSSSTRI_H

#  define IHSSSTRI_H

/*******************************************************************************
* Shared Constant Strings
*******************************************************************************/

#define STR_IHSISEND_ERROR                          1

#define STR_COMMAND_EXECUTE                         2
#define STR_COMMAND_RESOURCES                       3
#define STR_COMMAND_EXIT                            4
#define STR_COMMAND_COMM                            5
#define STR_COMMAND_DOMAIN                          6
#define STR_COMMAND_OPERATOR                        7
#define STR_COMMAND_CMD_STRING                      8
#define STR_COMMAND_EXIT_BUSY                       9
#define STR_COMMAND_VALIDATION                     10
#define STR_COMMAND_OPER_NOT_AUTH                  11

#define STR_NO_ENV_VAR                             12
#define STR_OPEN_CONFIG_FILE                       13
#define STR_KEY_NOT_IN_CONFIG_FILE                 14
#define STR_PLEASE_ENTER_PW                        15
#define STR_OPER_ID_LEN_FR_CFG_INVALID             16
#define STR_OPER_ID_LEN_FR_PROMPT_INVALID          17
#define STR_PW_LEN_FR_CFG_INVALID                  18
#define STR_PW_LEN_FR_PROMPT_INVALID               19
#define STR_INCORRECT_NUMB_ARGS                    20
#define STR_SYNTAX_IS                              21
#define STR_CMD_STR_LEN_INVALID                    22
#define STR_OPT_PARM_INVALID                       23
#define STR_NO_IP_ADDR                             24
#define STR_COULD_NOT_REGISTER                     25
#define STR_ARG_TOO_LONG                           26
#define STR_VALUE_FOR_PARM_MISSING                 27
#define STR_PLEASE_ENTER_OPID                      28
#define STR_PARMS_ARE_MUTUALLY_EXCLUSIVE           29
#define STR_COMMAND_INVALID_NV_DOMAIN              30

                                               /********/
#define STR_TOTAL_STRINGS                          31   /* MUST be last # + 1 */

/*******************************************************************************
** Define "helper" macro for accessing a STRing item
**
** Usage: USE_A_STR(RTN_WIRING_CLOSET)
**
** Note: the 'STR_' suffix is omitted....
**
*******************************************************************************/
#define USE_A_STR(strID) ( ihssSTR[STR_##strID] )

/*******************************************************************************
** Define "helper" macro for provide a PTR to a STRing item PTR
**
** Usage: PTR_STR_PTR(RTN_WIRING_CLOSET)
**
** Note: the 'STR_' suffix is omitted....
*******************************************************************************/
#define PTR_STR_PTR(strID) ( &ihssSTR[STR_##strID] )

/*******************************************************************************
**
** Define Array to hold the loaded STR Strings
**
** Note: declare as "near" for optimal accessing....
**
*******************************************************************************/
#ifdef STR_DECLARE_DATA                     /* told to DECLARE data?          */

         PSZ ihssSTR[STR_TOTAL_STRINGS];

#else                                       /* no ==> define as EXTERNAL data */

  extern PSZ ihssSTR[];

#endif

#endif
